aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-02-24 10:16:29 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-02-24 10:16:29 +1300
commit3ff07772e772bc927a00f1cea6df94feccc8d63d (patch)
tree26fdaf1a370d307712cfd8c886472ddc2f192c24 /bin
parentAdd tl(1) and tlcs(1) (diff)
downloaddotfiles-3ff07772e772bc927a00f1cea6df94feccc8d63d.tar.gz
dotfiles-3ff07772e772bc927a00f1cea6df94feccc8d63d.zip
Add tl(1) requirement to tlcs(1)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/tlcs3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/tlcs b/bin/tlcs
index 9af16efe..9222131a 100755
--- a/bin/tlcs
+++ b/bin/tlcs
@@ -22,6 +22,9 @@ usage() {
printf 'USAGE: %s [-h] [-c] [-o STDOUT_PREFIX] [-e STDERR_PREFIX] [--] COMMAND [ARG1...]\n' "$self"
}
+# Check we have tl(1)
+hash tl || exit
+
# Set the default prefixes and suffixes for stdout/stderr
stdout_prefix='stdout: '
stderr_prefix='stderr: '